/**
 * XRoleClassCredentialedEntity.java
 *
 * File generated from the medication::XRoleClassCredentialedEntity uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XRoleClassCredentialedEntity.
 *
 * 
 */

@XmlType(name = "XRoleClassCredentialedEntity")
@XmlEnum
@XmlRootElement(name = "XRoleClassCredentialedEntity")
public enum XRoleClassCredentialedEntity {
	@XmlEnumValue("ASSIGNED")
	ASSIGNED("ASSIGNED"),
	@XmlEnumValue("QUAL")
	QUAL("QUAL"),
	@XmlEnumValue("LIC")
	LIC("LIC"),
	@XmlEnumValue("NOT")
	NOT("NOT"),
	@XmlEnumValue("PROV")
	PROV("PROV");
	
	private final String value;

    XRoleClassCredentialedEntity(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XRoleClassCredentialedEntity fromValue(String v) {
        for (XRoleClassCredentialedEntity c: XRoleClassCredentialedEntity.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}